﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MyStackSimple
{
    class MyStack
    {
        private int[] _stack;
        private int _top;

        public MyStack(int size)
        {
            _stack = new int[size];
            _top = 0;
        }

        public void Push(int value)
        {
            if (_top == _stack.Length) throw new FullStackException("Stakken er fuld");
            _stack[_top++] = value;
            //_top++;
        }

        public int Pop()
        {
            if (_top == 0) throw new EmptyStackException("Stakken er tom ..");
            //_top--;
            return _stack[--_top];
        }
    }
}
